gnutls_ocsp_resp_get_nonce(3)

NAME
gnutls_ocsp_resp_get_nonce - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_nonce(gnutls_ocsp_resp_t resp, unsigned int * critical, gnutls_datum_t * nonce);

ARGUMENTS

gnutls_ocsp_resp_t resp
    should contain a gnutls_ocsp_resp_t structure

unsigned int * critical
    whether nonce extension is marked critical

gnutls_datum_t * nonce
    will hold newly allocated buffer with nonce data

DESCRIPTION
This function will return the Basic OCSP Response nonce extension data. The caller needs to deallocate memory by calling gnutls_free() on
 nonce ->data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/